#
# spec file for package libgtop (Version 2.14.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libgtop
BuildRequires:  glib2-devel intltool popt-devel update-desktop-files xorg-x11-devel
%define prefix     /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GNU General Public License (GPL)
Group:          Development/Libraries/GNOME
Provides:       libgtop2
Obsoletes:      libgtop2
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        2.14.4
Release:        28.1
Summary:        LibGTop Library
Source0:        ftp://ftp.gnome.org/pub/GNOME/stable/sources/libgtop/%{name}-%{version}.tar.bz2
Patch0:         libgtop-resident-field-fix.patch
Patch1:         libgtop-buffer-overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library that fetches information about the running system, such as
CPU and memory usage and active processes.

On Linux systems, this information is taken directly from the /proc
file system. On other systems, a server is used to read information
from /dev/kmem.



Authors:
--------
    Martin Baulig (martin@home-of-linux.org)
    Drazen Kacar (dave@srce.hr)

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Provides:       libgtop2-devel
Obsoletes:      libgtop2-devel
Requires:       %{name} = %{version} glib2-devel gdbm-devel xorg-x11-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Martin Baulig (martin@home-of-linux.org)
    Drazen Kacar (dave@srce.hr)

%prep
%setup
%patch0
%patch1 -p0

%build
%{?suse_update_config:%{suse_update_config -f }}
libtoolize --force
autoreconf -I /opt/gnome/share/aclocal --force --install
## HACK: libXau was not compiled with -fPIC (#91187).
%ifarch x86_64
%if %suse_version <= 930
ac_cv_lib_Xau_XauGetAuthByAddr="no" \
%endif
%endif
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " LIBS=-L/usr/X11R6/%_lib \
./configure --prefix=%prefix \
	    --libdir=%prefix/%_lib \
	    --infodir=%prefix/share/info \
            --sysconfdir=%sysconfdir \
            --without-linux-table \
            --with-libgtop-inodedb
make -i

%install
rm -rf $RPM_BUILD_ROOT
make -i install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/opt/gnome/share/info/dir
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/info/%{name}*.info*
%find_lang %{name}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{prefix}/share/info %{prefix}/share/info/%{name}2.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{prefix}/share/info %{prefix}/share/info/%{name}2.info.gz

%files -f %files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS* README* copyright.txt
%doc src/inodedb/README.inodedb
%{prefix}/%_lib/lib*.so.*
%{prefix}/bin/*
%doc %{prefix}/share/info/*

%files devel
%defattr(-, root, root)
%{prefix}/include/libgtop-2.0
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
# %{prefix}/%_lib/libgtop
# %dir %{prefix}/include/gnome
# %{prefix}/include/gnome/gnomesupport.h

%changelog -n libgtop
* Fri Jan 19 2007 - maw@suse.de
- Add libgtop-buffer-overflow.patch (#235086 and CVE-2007-0235).
* Tue Oct 03 2006 - jhargadon@suse.de
- update to version 2.14.4
- Fixed linux maps/smaps parsing on 64bit kernel
- Fixed build with --as-needed
- Added missing G_BEGIN_DECLS/G_END_DECLS
* Tue Aug 15 2006 - jhargadon@suse.de
- update to version 2.14.2
- Updated solaris support
- interface addition to handle wireless interfaces.
* Tue Aug 15 2006 - sbrabec@suse.cz
- Call ldconfig (#198912).
* Tue Aug 01 2006 - gekker@suse.de
- Update to version 2.14.1
  * Updated translations.
  * Fixed NetBSD port (Julio M. Merino Vidal  <jmmv@NetBSD.org>).
  * Fixed proc_state documentation.
  * Updated mountlist ignore list.
  * fix get_procmap for linux < 2.6.14.
  * Fixed libtool versioning (James Henstridge)
  * fixed proclist
  * implemented server->real_ncpu
  * Requires automake-1.9 (James Henstridge)
  * Supports up to 32 CPU
  * Supports Linux smaps
  * fixed SMP detection
* Tue Mar 28 2006 - joeshaw@suse.de
- Add a patch which makes the "Resident" field RSS - Shared,
  rather than just being a duplicate of RSS.  Fixes half of
  bnc #157022.  Submitted upstream as bgo #336376.
- Remove an unused, commented-out patch
* Sat Feb 04 2006 - aj@suse.de
- Reduce BuildRequires.
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Mon Aug 08 2005 - rodrigo@suse.de
- Updated to 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
- Fixup devel requirements
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 2.11.2
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.11.0
* Fri Jun 17 2005 - sbrabec@suse.cz
- Build with libXau on x86_64 (#91187).
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.92
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.91
* Thu Jan 27 2005 - hhetter@suse.de
- updated to version 2.9.90
* Mon Jan 24 2005 - ro@suse.de
- fix build on x86_64 working around non-fPIC libXau
* Fri Jan 21 2005 - gekker@suse.de
- Update to version 2.9.4
* Tue Jan 04 2005 - gekker@suse.de
- Update to version 2.9.3
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 2.9.0
* Tue Nov 23 2004 - ro@suse.de
- fix name of info file in postinstall
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Thu Apr 29 2004 - hhetter@suse.de
- updated to version 2.5.2 [GNOME2.6]
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide and obsolete libgtop2-devel.
* Tue Mar 16 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to libgtop.
* Mon Feb 16 2004 - hhetter@suse.de
- fix filelist
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.0.8 [GNOME2.4.2]
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Tue Sep 09 2003 - sbrabec@suse.cz
- Updated to version 2.0.5.
* Mon Aug 25 2003 - sbrabec@suse.cz
- Updated to version 2.0.4.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated to version 2.0.3.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 - sbrabec@suse.cz
- Cleaned up neededforbuild.
- Use %%find_lang.
* Mon Jun 23 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
- added directories to filelist
* Tue May 27 2003 - sbrabec@suse.cz
- Updated to version 2.0.2.
- Updated neededforbuild.
- Fixed %%files.
* Thu Jan 16 2003 - hhetter@suse.de
- updated to version 2.0.1
- adapted automake fix
* Tue Sep 24 2002 - sbrabec@suse.cz
- Fixed incorrect update to 2.0.0.
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 04 2002 - hhetter@suse.de
- update to source frozen version 1.90.2
- fix filelist
* Wed May 15 2002 - ro@suse.de
- use libdir
* Thu Apr 18 2002 - ro@suse.de
- fix for automake-1.6
* Thu Jan 17 2002 - hhetter@suse.de
- prefixed to /opt/gnome2
* Mon Jan 14 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
